[@rxap/forms](../wiki/globals) / FormSubmitMethod

# Interface: FormSubmitMethod\<T\>

Defined in: [packages/angular/forms/src/lib/directives/models.ts:6](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/directives/models.ts#L6)

## Extends

- `MethodWithParameters`\<`any`, `T`\>

## Type Parameters

• **T**

## Properties

### metadata?

> `optional` **metadata**: `any`

Defined in: [packages/pattern/src/lib/meta-data.ts:2](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/pattern/src/lib/meta-data.ts#L2)

#### Inherited from

`MethodWithParameters.metadata`

## Methods

### call()

> **call**(`parameters`, `context`?): `any`

Defined in: [packages/angular/forms/src/lib/directives/models.ts:7](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/directives/models.ts#L7)

#### Parameters

##### parameters

`T`

##### context?

`Record`\<`string`, `unknown`\>

#### Returns

`any`

#### Overrides

`MethodWithParameters.call`
